<!--
SPDX-FileCopyrightText: 2021 The HedgeDoc developers (see AUTHORS file)

SPDX-License-Identifier: CC-BY-SA-4.0
-->

## How to contribute to HedgeDoc react-client

Thanks for your interest in contributing. Here are some common scenarios for what you may want to contribute to.

#### Do you have questions about the project?

* Feel free to post your question on our [Discourse][discourse] or join our [Matrix Support Channel][matrix-support].

#### Did you find a bug?

* **Ensure the bug wasn't already reported** by searching on GitHub under [Issues][issues].

* If you're unable to find an open issue addressing the problem, [open a new one][new_issue]. Be sure to use one of the templates we provide if your request applies to them. If not, use the 'Question / Other' template.

#### Did you write a patch that fixes a bug?

* Open a new GitHub pull request with the patch.

* Ensure the PR description is precise about the problem and your solution. Just fill out our template. That should cover the most important information.

#### Do you intend to add a new feature or change an existing one?

* Suggest your idea in the [HedgeDoc Dev Channel][matrix-dev] and start writing code. Our maintainers and other project developers can provide useful details about the architecture and show you relevant issues and discussions.

#### Do you want to work on translations?

If you want to improve a translation or add a new translation altogether, we handle those via [POEditor][poeditor].

HedgeDoc is a volunteer effort. We encourage you to pitch in and to help us making this project even better.

Thanks! :heart: :heart: :heart:

## Certificate of Origin

By contributing to this project you agree to the [Developer Certificate of
Origin (DCO)](developer-certificate-of-origin.txt). This document was created by the Linux Kernel community and is a
simple statement that you, as a contributor, have the legal right to make the
contribution.
The DCO is a legally binding statement, please [read it carefully](developer-certificate-of-origin.txt).

If you can certify it, then just add a line to every git commit message:

```
  Signed-off-by: Jane Doe <jane.doe@example.org>
```

Use your real name (sorry, no pseudonyms or anonymous contributions).

If you set your `user.name` and `user.email` git configs, you can sign your commit automatically with `git commit -s`.
You can also use git [aliases](https://git-scm.com/book/tr/v2/Git-Basics-Git-Aliases) like `git config --global alias.ci 'commit -s'`.
Now you can commit with `git ci` and the commit will be signed.

[issues]: https://github.com/hedgedoc/react-client/issues
[new_issue]: https://github.com/hedgedoc/react-client/issues/new/choose
[matrix-support]: https://matrix.to/#/#hedgedoc:matrix.org
[matrix-dev]: https://matrix.to/#/#hedgedoc-dev:matrix.org
[discourse]: https://community.hedgedoc.org/
[poeditor]: https://translate.hedgedoc.org/
